#include<stdlib.h>
#include<iostream>
using namespace std;
long long st(long long x, long long n){
	if(n==0)return 1;
	else if(n==1)return x;
	else if(n%2==0)return st(x*x,n/2);
	else return x*st(x*x,n/2);
}
int main(){
	long long N,M,C,i,j,sum=0,stepen,cinilac;
	cin>>N>>M;
	long long *B=new long long[M+1];
	long long *A=new long long[N+1];
	for(i=1;i<M+1;i++)
	cin>>B[i];
	cin>>C;
	for(i=1;i<N+1;i++)
	A[i]=i;
	for(i=0;i<=N-M;i++)
	for(j=1;j<=M;j++)
	A[i+B[j]]=A[i+j];
	for(i=1;i<=N;i++)
	{stepen=st(C,i);
	cinilac=A[i];
	sum+=stepen*cinilac;
	}
	cout<<sum;
}